include ../../../layout/components/paginacao
include ./empreendedor-visualizar

div.qa-pagina-pesquisar-empreendimento

	h2 Pesquisar empreendedor

		.dropdown.pull-right

			a.btn.btn-success.btn(name="botaoCadastrarEmpdorEmpmento", type='button',ng-click="listagem.novoEmpreendedorEmpreendimento()")
				span.glyphicon.glyphicon-plus(aria-hidden='true')
				|  Novo Empreendedor/Empreendimento

	br

	.input-group
		input.form-control.input-lg.typeahead(type="text", enter="listagem.pesquisar(1)", autofocus,
			placeholder="Pesquisar empreendedor (CNPJ/CPF, nome/razão social ou município )",
			ng-model="listagem.campoPesquisa")
		span.input-group-btn
			button.btn.btn-default.input-lg.btn-success(ng-click="listagem.pesquisar(1)")
				span.glyphicon.glyphicon-search
				|  Pesquisar

	br

	.panel.panel-default(name='empreendedores_vinculados')
		.panel-heading
			h4.panel-title Empreendedores vinculados
		.panel-body
			.row
				.col-md-12
					div(ng-if="listagem.empreendedores && listagem.empreendedores.length > 0")

						table.table.table-striped
							thead
								tr
									th.col-md-2 CNPJ/CPF do empreendedor
									th.col-md-3 Nome/Razão Social
									th.col-md-2 Município/UF 
									th.col-md-2.col-sm-2.text-right Ações
							tbody
								tr(ng-repeat="empreendedor in listagem.empreendedores")
									td {{ empreendedor.pessoa.cpf ? empreendedor.pessoa.cpf : empreendedor.pessoa.cnpj | brCpfCnpj}}
									td {{ empreendedor.pessoa.cpf ? empreendedor.pessoa.nome : empreendedor.pessoa.razaoSocial}}
									td {{ empreendedor.pessoa.enderecos[0].tipo.id === listagem.tipoEndereco.PRINCIPAL ? empreendedor.pessoa.enderecos[0].municipio.nome : empreendedor.pessoa.enderecos[1].municipio.nome}}/
										|{{  empreendedor.pessoa.enderecos[0].tipo.id === listagem.tipoEndereco.PRINCIPAL ? empreendedor.pessoa.enderecos[0].municipio.estado.sigla : empreendedor.pessoa.enderecos[0].municipio.estado.sigla }}

									td
										span.pull-right

											.dropdown.action-table
												button#dropdownMenu1.btn.btn-default.dropdown-toggle(type='button', data-toggle='dropdown', aria-haspopup='true', aria-expanded='true')
													| Ações &nbsp;
													span.caret
												ul.dropdown-menu.dropdown-menu-right(aria-labelledby='dropdownMenu1')
													li
														a(ng-click="listagem.listarEmpreendimentos(empreendedor.pessoa.cpf ? empreendedor.pessoa.cpf : empreendedor.pessoa.cnpj )")
															i.fa.fa-industry
															span Listar empreendimentos

													li(ng-if="empreendedor.pessoa.cpf")
														a(ng-click="listagem.buscarEmpreendedor(empreendedor.pessoa.cpf)")
															i.glyphicon.glyphicon-user
															span Visualizar empreendedor

													li(ng-if="empreendedor.pessoa.cnpj")
														a(ng-click="listagem.buscarEmpreendedor(empreendedor.pessoa.cnpj)")
															i.glyphicon.glyphicon-user
															span Visualizar empreendedor
															
													li(ng-if="empreendedor.pessoa.cnpj")
														a(ng-click="listagem.removerEmpreendedor(empreendedor.pessoa.cnpj,empreendedor.id)")
															i.fa.fa-times
															span Excluir empreendedor

													li(ng-if="empreendedor.pessoa.cpf")
														a(ng-click="listagem.removerEmpreendedor(empreendedor.pessoa.cpf,empreendedor.id)")
															i.fa.fa-times
															span Excluir empreendedor


			.row(ng-show="!listagem.empreendedores || listagem.empreendedores.length == 0")
				.col-md-12
					p.empty-result Não existem dados a serem exibidos.

	+paginacao('listagem.paginacao', 'listagem.onPaginaAlterada')
